%global gem_name kramdown-parser-gfm

Summary:        Kramdown parser for GitHub-flavored markdown
Name:           rubygem-%{gem_name}
Version:        1.1.0
Release:        6%{?dist}
License:        MIT
URL:            https://github.com/kramdown/parser-gfm
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem

Patch3000:      %{url}/commit/ad48572.patch

BuildRequires:  ruby(release) rubygems-devel ruby rubygem(kramdown) rubygem(minitest) rubygem(rouge)
BuildArch:      noarch

%description
kramdown-parser-gfm provides a kramdown parser for the GFM dialect of Markdown.

%prep
%autosetup -n %{gem_name}-%{version} -p1

%build
gem build ../%{gem_name}-%{version}.gemspec

%install
%gem_install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
mv test/testcases/codeblock_fenced.text test/testcases/codeblock_fenced.disabled

ruby -I'lib' -e 'Dir.glob "./test/**test_*.rb", &method(:require)'

mv test/testcases/codeblock_fenced.disabled test/testcases/codeblock_fenced.text
popd

%files
%license %{gem_instdir}/COPYING
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTERS
%{gem_libdir}
%{gem_spec}
%{gem_instdir}/test
%{gem_instdir}/VERSION
%exclude %{gem_cache}

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 20 2023 Shuo Wang <abushwang@tencent.com> - 1.1.0-1
- initial build
